Subject: Feedback on HFL emails
From: Deeksha Dadu <[email-masked]>
To: Rahul Singh <[email-masked]>, Arun Maurya <[email-masked]>, Nitin Kumar <[email-masked]>
Cc: akhil <[email-masked]>, admin <[email-masked]>
Date: Tue, 10 Jun 2014 20:51:53 +0530 (IST)

Hi,

We have audited some HFL emails. We notice that apart from grammatical errors, the agents are also not reading customer's issue carefully and are responding recklessly lot of times. Please find attached feedback for some of the emails that we checked today with our comments in RED. Most of the emails are actually from phil team but I would like you guys to read the feedback so that you don't repeat the mistakes they make in the emails. 

I am also noticing a delay in responding to the customer's emails. During working hours (I am sure Akhil has told you about working hours. if you are not sure, please let me know) when you receive a ticket, it should be replied with in 30 minutes – 1 hour (specially during day shift when you have no flow) Sooner if possible but no later than that at all please. 

We will soon be sharing some email templates that will help agents minimize these errors. Please let me know if there is any feedback from anyone. I will be happy to hear that.

@Akhil: if i have missed anyone who does HFL emails and is not included in this email, please forward this. 

Thanks  

Kind Regards,
Deeksha